Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCEDHPrivateKey

    java.lang.Object
      |
      +--org.bouncycastle.jce.provider.JCEDHPrivateKey

All Implemented Interfaces:
  javax.crypto.interfaces.DHKey, javax.crypto.interfaces.DHPrivateKey, java.security.Key, PKCS12BagAttributeCarrier, java.security.PrivateKey, java.io.Serializable

public class JCEDHPrivateKey
extends java.lang.Object
implements javax.crypto.interfaces.DHPrivateKey, PKCS12BagAttributeCarrier

See Also:
  Serialized Form

Field Summary

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Constructor Summary
`protected` | `JCEDHPrivateKey()`

Method Summary
`java.lang.String` | `getAlgorithm()`
`DEREncodable` | `getBagAttribute(DERObjectIdentifier oid)`
`java.util.Enumeration` | `getBagAttributeKeys()`
`byte[]` | `getEncoded()` Return a PKCS8 representation of the key.
`java.lang.String` | `getFormat()` return the encoding format we produce in getEncoded().
`javax.crypto.spec.DHParameterSpec` | `getParams()`
`java.math.BigInteger` | `getX()`
`void` | `setBagAttribute(DERObjectIdentifier oid, DEREncodable attribute)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEDHPrivateKey

    protected JCEDHPrivateKey()

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  return the encoding format we produce in getEncoded().

  Specified by:
    `getFormat` in interface `java.security.Key`
  Returns:
    the string "PKCS#8"

### getEncoded

    public byte[] getEncoded()

  Return a PKCS8 representation of the key. The sequence returned represents a full PrivateKeyInfo object.

  Specified by:
    `getEncoded` in interface `java.security.Key`
  Returns:
    a PKCS8 representation of the key.

### getParams

    public javax.crypto.spec.DHParameterSpec getParams()

  Specified by:
    `getParams` in interface `javax.crypto.interfaces.DHKey`

### getX

    public java.math.BigInteger getX()

  Specified by:
    `getX` in interface `javax.crypto.interfaces.DHPrivateKey`

### setBagAttribute

    public void setBagAttribute(DERObjectIdentifier oid,
                                DEREncodable attribute)

  Specified by:
    `setBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttribute

    public DEREncodable getBagAttribute(DERObjectIdentifier oid)

  Specified by:
    `getBagAttribute` in interface `PKCS12BagAttributeCarrier`

### getBagAttributeKeys

    public java.util.Enumeration getBagAttributeKeys()

  Specified by:
    `getBagAttributeKeys` in interface `PKCS12BagAttributeCarrier`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD